# Uses of Class
org.eclipse.ui.texteditor.AbstractDocumentProvider.DocumentProviderOperation

Packages that use AbstractDocumentProvider.DocumentProviderOperation
Package
Description
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.

## Uses of AbstractDocumentProvider.DocumentProviderOperation in org.eclipse.ui.texteditor

Methods in org.eclipse.ui.texteditor with parameters of type AbstractDocumentProvider.DocumentProviderOperation
Modifier and Type
Method
Description
`protected void`
AbstractDocumentProvider.`executeOperation(AbstractDocumentProvider.DocumentProviderOperation operation, IProgressMonitor monitor)`
Executes the given operation in the providers runnable context.